### Name: Blocc
### Title: Fast Local Constant Regression for Bivariate Data
### Aliases: Blocc
### Keywords: smooth regression

### ** Examples

#A very simple case
n <- 1000
x <- runif(n); z <- runif(n); e <- rnorm(n,sd=0.2)
G <- function(x){(1/2)*sin(2*pi*x)}
F <- function(z){-1/3+2*z-2*(z^2)}
y <- G(x)+F(z) + e
xgrid <- seq(0,1,length=30); zgrid <- seq(0,1,length=30)

m <- Blocc(xx=x,zz=z,yy=y,ev=cbind(xgrid,zgrid))
GF <- matrix(G(m$xxe),nr=30,nc=30,byrow=FALSE)+matrix(F(m$zze)
             ,nr=30,nc=30,byrow=TRUE)

#win.graph()
layout(matrix(c(1,2),nr=1,nc=2,byrow=TRUE))
persp(x=m$zze,y=m$xxe,z=t(GF),theta= 320, phi=17,xlab="z"
      ,ylab="x",zlab="",main="True G(x)+F(z)")
persp(x=m$zze,y=m$xxe,z=t(m$r),theta= 320, phi=17,xlab="z"
      ,ylab="x",zlab="",main="Estimated G(x)+F(z)")



